Name:           grilo-plugins
Version:        0.3.8
Release:        3
Summary:        Plugins for the Grilo framework
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Grilo
Source0:        https://download.gnome.org/sources/grilo-plugins/0.3/grilo-plugins-%{version}.tar.xz

BuildRequires:  gcc meson avahi-gobject-devel avahi-gobject glib2-devel grilo-devel >= 0.3.1
BuildRequires:  gom-devel gperf intltool gnome-online-accounts-devel >= 3.17.91
BuildRequires:  libgcrypt-devel libxml2-devel itstool libarchive-devel libmediaart-devel
BuildRequires:  libsoup-devel lua-devel rest-devel sqlite-devel libgdata-devel
BuildRequires:  totem-pl-parser-devel tracker-devel libdmapsharing-devel json-glib-devel
Requires:       dleyna-server gnome-online-accounts%{_isa} >= 3.17.91 grilo%{_isa} >= 0.3.1

%description
The framework named grilo which provides access to different sources of multimedia
content, using a pluggable system. This package`s plugins to get information from
theses sources:Apple Trailers,Bookmarks,Euronews,Filesystem,Flickr,Freebox,Gravatar,
iTunes Music Sharing,Jamendo,Last.fm,Local metadata,Metadata Store,Pocket,Podcasts,
Radio France,Shoutcast,The Guardian Videos,Tracker,Vimeo,Youtube

%prep
%autosetup -n grilo-plugins-%{version} -p1 -S git

%build
%meson -Denable-static=no -Denable-shoutcast=no -Denable-bookmarks=yes \
       -Denable-dleyna=yes -Denable-dmap=yes -Denable-filesystem=yes \
       -Denable-flickr=yes -Denable-freebox=yes -Denable-gravatar=yes \
       -Denable-jamendo=yes -Denable-lua-factory=yes -Denable-metadata-store=yes \
       -Denable-tmdb=yes -Denable-tracker=yes -Denable-vimeo=yes \
       -Denable-youtube=yes -Denable-tracker=yes

%meson_build

%install
%meson_install
%find_lang grilo-plugins --with-gnome

%files -f grilo-plugins.lang
%license COPYING
%doc AUTHORS NEWS README
%doc %{_datadir}/help/*/examples/example-tmdb.c
%{_datadir}/grilo-plugins/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/grilo-0.3/*.so*
%exclude %{_libdir}/grilo-0.3/*.la
%exclude %{_bindir}/*

%changelog
* Thu Jul 16 2020 lingsheng <lingsheng@huawei.com> - 0.3.8-3
- Add buildrequire avahi-gobject to fix build fail

* Thu Apr 16 2020 Jeffery.Gao <gaojianxing@huawei.com> - 0.3.8-2
- Package init

